Skip to main content
POST
Execute report runner for the specified id. Will return existing report if there is any currently in progress or generate a new one otherwise.

Authorizations

Authorization
string
header
required

Path Parameters

reportRunnerId
string
required

The Extole unique report runner identifier.

Body

application/json
slot
string
required

Response

Successful response

display_name
string
required
name
string
required
parameters
object
required
report_type
string
required
slot
string
required
tags
string[]
required
type
enum<string>
required
Available options:
EXECUTED
completed_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

download_uri
string | null
required
error_code
string | null
required
executor_type
enum<string>
required
Available options:
DASHBOARD,
SPARK,
SQL
format
enum<string>
required
Available options:
CSV,
HEADLESS_CSV,
HEADLESS_PSV,
JSON,
JSONL,
PSV,
XLSX
formats
enum<string>[]
required
Available options:
CSV,
HEADLESS_CSV,
HEADLESS_PSV,
JSON,
JSONL,
PSV,
XLSX
report_id
string
required
scopes
enum<string>[] | null
required
Available options:
CLIENT_ADMIN,
CLIENT_SUPERUSER,
CONSUMER_PUBLIC
sftp_report_name
string | null
required
sftp_server_id
string | null
required
started_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

status
enum<string>
required
Available options:
CANCELED,
DONE,
EXPIRED,
FAILED,
IN_PROGRESS,
PENDING,
PENDING_DATA,
SFTP_DELIVERY_FAILED
user_id
string
required
visible
boolean
required